· · · ·
Data Structures | Typedefs | Functions
plottable-errorbar.h File Reference

## Data Structures
class | QCPErrorBarsData
| Holds the data of one single error bar for QCPErrorBars. More...
class | QCPErrorBars
| A plottable that adds a set of error bars to other plottables. More...

## Typedefs
typedef QVector< QCPErrorBarsData > | QCPErrorBarsDataContainer

## Functions
| Q_DECLARE_TYPEINFO (QCPErrorBarsData, Q_PRIMITIVE_TYPE)

## Typedef Documentation

## § QCPErrorBarsDataContainer

QCPErrorBarsDataContainer

Container for storing QCPErrorBarsData points. It is a typedef for `QVector<QCPErrorBarsData>`.

This is the container in which QCPErrorBars holds its data. Unlike most other data containers for plottables, it is not based on QCPDataContainer. This is because the error bars plottable is special in that it doesn't store its own key and value coordinate per error bar. It adopts the key and value from the plottable to which the error bars shall be applied (QCPErrorBars::setDataPlottable). So the stored QCPErrorBarsData doesn't need a sortable key, but merely an index (as `QVector` provides), which maps one-to-one to the indices of the other plottable's data.

See also
  QCPErrorBarsData, QCPErrorBars::setData